/**
 * Created by rockyl on 2018-12-05.
 */

import {injectProp} from "./tools/utils";

export const EngineConfig = {
	lineHeightRatio: 1.2,
	entityEnabled: true,
	componentEnabled: true,
	awakeComponentWhenAdded: true,
	sleepComponentWhenRemoved: true,
	drawRenderRect: false,
	imgCrossOrigin: true,
};

export function modifyEngineConfig(_options) {
	injectProp(EngineConfig, _options);
}
